<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/PlaylistParser/include/PlaylistParser/PlaylistParser.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_655fbec917b1f23289d3ed8ec9803bf1.html">PlaylistParser</a></li><li class="navelem"><a class="el" href="dir_057ee5c37ac9c880ef5f0b623529f2e3.html">include</a></li><li class="navelem"><a class="el" href="dir_0ae71fe8a08302c61b29252af9be9328.html">PlaylistParser</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">PlaylistParser.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;deque&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;<a class="el" href="_attachment_reader_8h_source.html">AVSCommon/AVS/Attachment/AttachmentReader.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h_source.html">AVSCommon/SDKInterfaces/HTTPContentFetcherInterfaceFactoryInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_playlist_parser_interface_8h_source.html">AVSCommon/Utils/PlaylistParser/PlaylistParserInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_requires_shutdown_8h_source.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_executor_8h_source.html">AVSCommon/Utils/Threading/Executor.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for PlaylistParser.h:</div>
<div class="dyncontent">
<div class="center"><img src="_playlist_parser_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_playlist_parser_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_playlist_parser_8h" id="_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_playlist_parser_8h">
<area shape="rect" id="node5" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="2084,699,2286,737"/>
<area shape="rect" id="node10" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface\lFactoryInterface.h" alt="" coords="406,265,610,317"/>
<area shape="rect" id="node41" href="_playlist_parser_interface_8h.html" title="AVSCommon/Utils/Playlist\lParser/PlaylistParserInterface.h" alt="" coords="3515,105,3724,144"/>
<area shape="rect" id="node45" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="785,1045,972,1084"/>
<area shape="rect" id="node46" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="495,959,689,997"/>
<area shape="rect" id="node9" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="1746,959,1907,997"/>
<area shape="rect" id="node12" href="_h_t_t_p_content_fetcher_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface.h" alt="" coords="1223,365,1438,404"/>
<area shape="rect" id="node13" href="_http_response_code_8h.html" title="AVSCommon/Utils/HTTP\l/HttpResponseCode.h" alt="" coords="1955,872,2124,911"/>
<area shape="rect" id="node27" href="_h_t_t_p_content_8h.html" title="AVSCommon/Utils/HTTPContent.h" alt="" coords="1492,452,1719,477"/>
<area shape="rect" id="node40" href="_s_d_k_version_8h.html" title="AVSCommon/Utils/SDKVersion.h" alt="" coords="1098,532,1315,557"/>
<area shape="rect" id="node15" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2337,959,2513,997"/>
<area shape="rect" id="node16" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="2585,1045,2761,1084"/>
<area shape="rect" id="node21" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="2337,1132,2551,1171"/>
<area shape="rect" id="node23" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="2585,1219,2761,1257"/>
<area shape="rect" id="node24" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="2897,1132,3073,1171"/>
<area shape="rect" id="node25" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="2575,1132,2772,1171"/>
<area shape="rect" id="node26" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1681,1132,1857,1171"/>
<area shape="rect" id="node29" href="_in_process_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachment.h" alt="" coords="1732,525,1934,564"/>
<area shape="rect" id="node30" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="1594,612,1795,651"/>
<area shape="rect" id="node32" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1746,699,1907,737"/>
<area shape="rect" id="node38" href="_in_process_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentReader.h" alt="" coords="1885,612,2091,651"/>
<area shape="rect" id="node39" href="_in_process_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentWriter.h" alt="" coords="2275,612,2477,651"/>
<area shape="rect" id="node31" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="3028,785,3230,824"/>
<area shape="rect" id="node37" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="2537,965,2639,991"/>
<area shape="rect" id="node34" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="2236,792,2382,817"/>
<area shape="rect" id="node35" href="_reader_8h.html" title="Reader.h" alt="" coords="2198,879,2274,904"/>
<area shape="rect" id="node36" href="_writer_8h.html" title="Writer.h" alt="" coords="2540,879,2607,904"/>
<area shape="rect" id="node42" href="_playlist_parser_observer_interface_8h.html" title="PlaylistParserObserverInterface.h" alt="" coords="3773,192,3994,217"/>
<area shape="rect" id="node44" href="_playlist_entry_8h.html" title="PlaylistEntry.h" alt="" coords="3713,279,3818,304"/>
<area shape="rect" id="node49" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="159,1045,353,1084"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_playlist_parser_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_playlist_parser_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_playlist_parser_8hdep" id="_2workplace_2avs-device-sdk_2_playlist_parser_2include_2_playlist_parser_2_playlist_parser_8hdep">
<area shape="rect" id="node2" href="_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/MediaPlayer.cpp" alt="" coords="259,432,488,484"/>
<area shape="rect" id="node3" href="_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/test/MediaPlayerTest.cpp" alt="" coords="5,432,235,484"/>
<area shape="rect" id="node4" href="_content_decrypter_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/include\l/PlaylistParser/ContentDecrypter.h" alt="" coords="330,105,555,157"/>
<area shape="rect" id="node5" href="_url_content_to_attachment_converter_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/include\l/PlaylistParser/UrlContentToAttachment\lConverter.h" alt="" coords="268,205,524,271"/>
<area shape="rect" id="node13" href="_playlist_parser_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/src\l/PlaylistParser.cpp" alt="" coords="580,105,733,157"/>
<area shape="rect" id="node14" href="_playlist_parser_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/test\l/PlaylistParserTest.cpp" alt="" coords="756,105,913,157"/>
<area shape="rect" id="node11" href="_content_decrypter_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/src\l/ContentDecrypter.cpp" alt="" coords="751,212,905,264"/>
<area shape="rect" id="node12" href="_content_decrypter_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/test\l/ContentDecrypterTest.cpp" alt="" coords="548,212,727,264"/>
<area shape="rect" id="node6" href="_android_s_l_e_s_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/include/AndroidSLESMediaPlayer\l/AndroidSLESMediaPlayer.h" alt="" coords="527,319,790,384"/>
<area shape="rect" id="node9" href="_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/include/MediaPlayer\l/MediaPlayer.h" alt="" coords="223,319,452,384"/>
<area shape="rect" id="node10" href="_url_content_to_attachment_converter_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/src\l/UrlContentToAttachmentConverter.cpp" alt="" coords="815,325,1068,377"/>
<area shape="rect" id="node7" href="_android_s_l_e_s_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/AndroidSLESMediaPlayer.cpp" alt="" coords="829,432,1092,484"/>
<area shape="rect" id="node8" href="_android_s_l_e_s_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/test/AndroidSLESMediaPlayerTest.cpp" alt="" coords="513,432,805,484"/>
</map>
</div>
</div>
<p><a href="_playlist_parser_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_playlist_parser.html">alexaClientSDK::playlistParser::PlaylistParser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1playlist_parser"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser.html">alexaClientSDK::playlistParser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
